﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	
	Public pgPicturePreview As PicturePreview
	
	Private pnlDrawing As Panel
	Private camEx As CameraExClass
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")

	pgPicturePreview.Initialize
	B4XPages.AddPage("PicturePreview", pgPicturePreview)
	
	For Each permission As String In Array(Starter.rp.PERMISSION_CAMERA )
		Starter.rp.CheckAndRequest( permission )
		Wait For Activity_PermissionResult( permission As String, Result As Boolean )
		If Result = False Then
			ToastMessageShow( "Nema dozvole za spremanje ili kameru!", True )
			B4XPages.ClosePage(Me)
			Return
		End If
	Next
End Sub

Private Sub InitializeCamera
	camEx.Initialize(pnlDrawing, False, Me, "Camera1")
End Sub

Private Sub B4XPage_Appear
	InitializeCamera
End Sub

Private Sub B4XPage_Disappear
	If camEx.IsInitialized Then
		camEx.Release
	End If
End Sub

Sub Camera1_Ready (Success As Boolean)
	If Success Then
		camEx.SetJpegQuality(90)
		camEx.SetContinuousAutoFocus
		camEx.CommitParameters
		camEx.StartPreview
		Log(camEx.GetPreviewSize)
	Else
		ToastMessageShow("Camera not ready.", True)
	End If
End Sub

Private Sub btnMakePhoto_Click
	camEx.TakePicture
End Sub

Sub Camera1_PictureTaken (Data() As Byte)
	Dim filename As String = "cp.jpg"
	Dim dir As String = File.DirInternal
	If File.Exists(dir, filename) Then File.Delete(dir, filename)
	camEx.SavePictureToFile(Data, dir, filename)
	B4XPages.ShowPageAndRemovePreviousPages("PicturePreview")
End Sub